<?php
/*
Plugin Name: Advanced Search Engine
Version: 1.0.2
Description: An advanced search engine
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=455
Author: grum@piwigo.org
Author URI: http://photos.grum.fr
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@piwigo.com
    website  : http://photos.grum.fr
    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY

| release | date       |
| 0.1.0   | 2010-10-14 | * first lines of code
|         |            |   . release not published
|         |            |
| 1.0.0   | 2010-10-26 | * plugin published
|         |            |
| 1.0.1   | 2010-10-26 | * mantis bug:1958
|         |            |   . Not possible to configure public gallery for non
|         |            |     french user
|         |            |
|         |            | * mantis bug:1959
|         |            |   . Translation is not correct for RBuilder keys
|         |            |
| 1.0.2   | 2010-10-27 | * mantis bug:1963
|         |            |   . Compatibiliy with AdvancedMenuManager
|         |            |
|         |            | * mantis bug:1961
|         |            |   . Search Engine is accessible from gallery users even
|         |            |     if not activated
|         |            |
|         |            |
|         |            |
|         |            |


:: TO DO

--------------------------------------------------------------------------------

:: NFO
  ASE_root : common classe for admin and public classes
  ASE_AIM  : classe to manage plugin integration into plugin menu
  ASE_AIP  : classe to manage plugin admin pages
  ASE_PIP  : classe to manage plugin public pages

--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
 //ini_set('error_reporting', E_ALL);
 //ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


define('ASE_DIR' , basename(dirname(__FILE__)));
define('ASE_PATH' , PHPWG_PLUGINS_PATH . ASE_DIR . '/');

include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
include_once('ase_version.inc.php'); // => Don't forget to update this file !!

global $prefixeTable;

if(defined('IN_ADMIN'))
{
  //ASE admin interface loaded and active only if in admin page
  include_once("ase_aim.class.inc.php");
  $obj=new ASE_AIM($prefixeTable, __FILE__);
  $obj->initEvents();
}
else
{
  if(CommonPlugin::checkGPCRelease(ASE_GPC_NEEDED))
  {
    //ASE public interface loaded and active only if in public page
    include_once("ase_pip.class.inc.php");
    $obj=new ASE_PIP($prefixeTable, __FILE__);
  }
}

set_plugin_data($plugin['id'], $obj);

?>
